package com.tptj.demo.hg.request.interceptor;

import com.fanruan.api.log.LogKit;
import com.fanruan.api.net.NetworkKit;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.enhancement.engine.write.service.action.EvaluateFormulaAction;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-19
 **/
@EnableMetrics
public class ReplaceDemo extends EvaluateFormulaAction {
    @Override
    public String getCMD() {
        return "evaluate_formula";
    }

    @Override
    public void actionCMD(HttpServletRequest req, HttpServletResponse res) throws Exception {
        actionCMD(req,res, WebUtils.getHTTPRequestParameter(req,"sessionID"));
    }

    @Override
    @Focus(id="com.tptj.demo.hg.request.interceptor.v10",text = "cmd接口拦截")
    public void actionCMD(HttpServletRequest req, HttpServletResponse res, String sessionID)throws Exception{
        String expression = NetworkKit.getHTTPRequestParameter(req,"expression");
        LogKit.info("Evaluate Formula Starting: {}",expression);
        super.actionCMD(req,res,sessionID);
        LogKit.info("Evaluate Formula Ended: {}",expression);
    }
}
